(provide 'cms-elisps)

(defun cms/make-search-url (term)
  (let ((param (url-encode-url term)))
    (concat "https://duckduckgo.com?q=" param)))

(defun cms/show-browse-url (s)
  (browse-url s)
  (call-process "wmctrl" nil nil nil "-a" "firefox"))

(defun cms/get-region ()
  (if (region-active-p)
      (buffer-substring (region-beginning) (region-end))))

(defun cms/web-search-region ()
  (interactive)
  (cms/show-browse-url (cms/make-search-url (cms/get-region))))

(defun cms/edit-init-el ()
  (interactive)
  (find-file "~/.emacs.d/init.el"))

(defun cms/remember-universe (arg)
  (interactive "p")
  (if  arg
      (jump-to-register ?#)
    (window-configuration-to-register ?#)))
