(provide 'cms-keybindings)


(global-set-key (kbd "C-x C-b") 'ibuffer)
(global-set-key (kbd "M-/") 'hippie-expand)
(global-set-key (kbd "H-/") 'completion-at-point)
(global-set-key (kbd "M-o") 'other-window)
(global-set-key (kbd "C-M-'") 'mark-sexp)
(global-set-key (kbd "M-'") 'mark-word)
(global-set-key (kbd "M-i") 'imenu)
(global-set-key (kbd "M-SPC") 'cycle-spacing)
(global-set-key (kbd "C-c TAB") 'indent-relative-maybe)
(global-set-key (kbd "C-x C-d") 'dired)
(global-set-key (kbd "C-z") 'shell)
(global-set-key (kbd "C-h a") 'apropos)
(global-set-key (kbd "<f12>") 'cms/company-complete)
(setf cms-prefix-map (make-sparse-keymap))
(global-set-key (kbd "<f8>") cms-prefix-map)

(defun cms-bind-key (keystring func)
  (define-key cms-prefix-map (kbd keystring) func))


(cms-bind-key "a" 'org-agenda)
(cms-bind-key "<backspace>" 'cms/return-to-remembered-place)
(cms-bind-key "c" 'org-capture)
(cms-bind-key "d" 'cms/toggle-flymake-diagnostics)
(cms-bind-key "e" 'cms/edit-init-el)
(cms-bind-key "g" 'magit-status)
(cms-bind-key "i" 'info)
(cms-bind-key "SPC" 'cms/remembered-place)
(cms-bind-key "s" 'slime-selector)
(global-set-key (kbd "<f5>") 'recompile)
(global-set-key (kbd "<f4>") 'cms/toggle-outline)


(cms-bind-key "M-." 'dumb-jump-go)
(global-set-key (kbd "M-<up>") 'er/expand-region)
(global-set-key (kbd "M-<down>") 'er/contract-region)
(global-set-key (kbd "M-<left>") 'cms/flymake-prev-error)
(global-set-key (kbd "M-<right>") 'cms/flymake-next-error)

;(global-set-key [remap zap-to-char] 'zap-to-char)

(global-set-key (kbd "M-z") 'zap-to-char)
(global-set-key (kbd "<home>") 'beginning-of-buffer)
(global-set-key (kbd "<end>") 'end-of-buffer)
(global-set-key (kbd "<f6>") 'org-capture)
