(defvar bootstrap-version)
(let ((bootstrap-file
       (expand-file-name "straight/repos/straight.el/bootstrap.el" user-emacs-directory))
      (bootstrap-version 5))
  (unless (file-exists-p bootstrap-file)
    (with-current-buffer
        (url-retrieve-synchronously
         "https://raw.githubusercontent.com/raxod502/straight.el/develop/install.el"
         'silent 'inhibit-cookies)
      (goto-char (point-max))
      (eval-print-last-sexp)))
  (load bootstrap-file nil 'nomessage))

(if (< emacs-major-version 29)
    (straight-use-package 'eglot))
(straight-use-package 'rainbow-delimiters)
;; (straight-use-package 'selectrum)
;; (straight-use-package 'selectrum-prescient)
(straight-use-package 'magit)
(straight-use-package 'anzu)
(straight-use-package 'forge)
(straight-use-package 'hl-todo)
(straight-use-package 'volatile-highlights)
(straight-use-package 'rainbow-mode)
(straight-use-package 'js2-mode)
(straight-use-package 'xref-js2)
(straight-use-package 'js2-refactor)
(straight-use-package 'dumb-jump)
(straight-use-package 'super-save)
(straight-use-package 'slime)
(straight-use-package 'paredit)
(straight-use-package 'nim-mode)
(straight-use-package 'yaml-mode)
(straight-use-package 'pydoc)
(straight-use-package 'company)
(straight-use-package 'go-mode)
(straight-use-package 'gruvbox-theme)
(straight-use-package 'org)
(straight-use-package 'clojure-mode)
(straight-use-package 'cider)
(straight-use-package 'expand-region)
(straight-use-package 'lxd-tramp)
(straight-use-package 'autopair)
(straight-use-package 'typescript-mode)
(straight-use-package 'auto-dim-other-buffers)
(straight-use-package 'kubernetes)
(straight-use-package 'go-mode)
(straight-use-package 'terraform-mode)
(provide 'cms-straight)
